# $Id: smeserver-mimp.spec,v 1.7 2010/01/22 03:44:09 mrjhb3 Exp $
# Authority: mrjhb3
# Name: John H. Bennett III

Summary: SME Server specific Mimp configuration and templates.
%define name smeserver-mimp
Name: %{name}
%define version 1.1
%define release 3
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch1: mimp-1.1.1_upgrade.patch
Patch2: smeserver-mimp-mime_drivers.php.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: imp-h3 >= 4.2
Requires: e-smith-base >= 4.15.1
Requires: e-smith-apache >= 1.1.0-18
Requires: e-smith-lib >= 1.15.1-16
Requires: mimp-h3 >= 1.1
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no

%changelog
* Sun Dec 27 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-3
- Fix typo in mime_drivers.php template file.

* Fri Jan 2 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-2
- Updated template files to reflect changes in Mimp 1.1.1

* Sat Jun 7 2008 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-1    
- Initial Mimp 1.1 production build
- Jump in package name to reflect new version of mimp

* Sat May 24 2008 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-02
- Updated to include changes in Mimp 1.1 RC3
- Re-rolled tarball

* Thu Apr 10 2008 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-01
- Initial build
- Jump in package name to reflect new version of mimp

%description
This package adds necessary templates and configuration items
so that Mimp will work properly on SME Server

%prep
%setup

%patch1 -p1 
%patch2 -p1 

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
